# ResendableContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content.abstracts / ResendableContent

# ResendableContent

(common) `interface ResendableContent` (source)

### Functions

(common)

#### createResend

`abstract fun createResend(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): Request<out Message>`

(common)

#### createResends

`open fun createResends(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): List<Request<out Message>>`

### Inheritors

(common)

#### MessageContent

`interface MessageContent : ResendableContent`